import os


def is_csp() -> bool:
    csp_env = ['kcdev01', 'kctest03', 'int1usw2', 'int2use2']
    if os.environ.get('CSR_CSP_AUTH_CLIENT_ID') or os.getenv('TEST_ENV', '') in csp_env:
        return True
    return False
