import pytest

from cbc_content_reporting.api_clients.reporting_health import ReportingHealthApi
from cbc_content_reporting.tests.plugins.ownership_plugin import SGUID


@pytest.mark.sguid(SGUID.psc_content_mgmt_app_reporting)
class TestHealthCheck:

    def test_health_check(self, csr_auth_session):
        health_api = ReportingHealthApi(csr_auth_session.session)
        health_api.get_health_check()
