from setuptools import setup
setup(
    name='cbc-content-reporting',
    version='1.0.4',
    description='Rules Management Service API clients and integration tests',
    packages=[
        'cbc_content_reporting',
        'cbc_content_reporting/api_clients'
    ],
    classifiers=[
        'Programming Language :: Python :: 3.9',
        'Topic :: Software Development :: Testing',
        'Framework :: Pytest'
    ],
    install_requires=[
        'csp_cbc_auth>=0.4.7',
        'psc-auth>=2.0.12',
        'psc-protocol>=1.0.22',
        'pyOpenSSL',
        'requests>=2.19.1',
        'requests-toolbelt>=0.9.1',
        'urllib3',
        'tenacity'
    ],
    package_data={'cbc_content_reporting': ['py.typed']},
    include_package_data=True,
    zip_safe=False
)
